diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aeregion.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aeregion.c
index 4076c06bdf..56f939463c 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aeregion.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aeregion.c
@@ -1,6 +1,6 @@
 /******************************************************************************
  *
- * Module Name: aeregion - Operation region support for acpiexec
+ * Module Name: aeregion - Handler for operation regions
  *
  *****************************************************************************/
 
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -155,283 +155,7 @@
         ACPI_MODULE_NAME    ("aeregion")
 
 
-/* Local prototypes */
-
-static ACPI_STATUS
-AeRegionInit (
-    ACPI_HANDLE             RegionHandle,
-    UINT32                  Function,
-    void                    *HandlerContext,
-    void                    **RegionContext);
-
-static ACPI_STATUS
-AeInstallEcHandler (
-    ACPI_HANDLE             ObjHandle,
-    UINT32                  Level,
-    void                    *Context,
-    void                    **ReturnValue);
-
-static ACPI_STATUS
-AeInstallPciHandler (
-    ACPI_HANDLE             ObjHandle,
-    UINT32                  Level,
-    void                    *Context,
-    void                    **ReturnValue);
-
-
 static AE_DEBUG_REGIONS     AeRegions;
-BOOLEAN                     AcpiGbl_DisplayRegionAccess = FALSE;
-ACPI_CONNECTION_INFO        AeMyContext;
-
-
-/*
- * We will override some of the default region handlers, especially
- * the SystemMemory handler, which must be implemented locally.
- * These handlers are installed "early" - before any _REG methods
- * are executed - since they are special in the sense that the ACPI spec
- * declares that they must "always be available". Cannot override the
- * DataTable region handler either -- needed for test execution.
- *
- * NOTE: The local region handler will simulate access to these address
- * spaces by creating a memory buffer behind each operation region.
- */
-static ACPI_ADR_SPACE_TYPE  DefaultSpaceIdList[] =
-{
-    ACPI_ADR_SPACE_SYSTEM_MEMORY,
-    ACPI_ADR_SPACE_SYSTEM_IO,
-    ACPI_ADR_SPACE_PCI_CONFIG,
-    ACPI_ADR_SPACE_EC
-};
-
-/*
- * We will install handlers for some of the various address space IDs.
- * Test one user-defined address space (used by aslts).
- */
-#define ACPI_ADR_SPACE_USER_DEFINED1        0x80
-#define ACPI_ADR_SPACE_USER_DEFINED2        0xE4
-
-static ACPI_ADR_SPACE_TYPE  SpaceIdList[] =
-{
-    ACPI_ADR_SPACE_SMBUS,
-    ACPI_ADR_SPACE_CMOS,
-    ACPI_ADR_SPACE_PCI_BAR_TARGET,
-    ACPI_ADR_SPACE_IPMI,
-    ACPI_ADR_SPACE_GPIO,
-    ACPI_ADR_SPACE_GSBUS,
-    ACPI_ADR_SPACE_FIXED_HARDWARE,
-    ACPI_ADR_SPACE_USER_DEFINED1,
-    ACPI_ADR_SPACE_USER_DEFINED2
-};
-
-
-/******************************************************************************
- *
- * FUNCTION:    AeRegionInit
- *
- * PARAMETERS:  Region init handler
- *
- * RETURN:      Status
- *
- * DESCRIPTION: Opregion init function.
- *
- *****************************************************************************/
-
-static ACPI_STATUS
-AeRegionInit (
-    ACPI_HANDLE                 RegionHandle,
-    UINT32                      Function,
-    void                        *HandlerContext,
-    void                        **RegionContext)
-{
-
-    if (Function == ACPI_REGION_DEACTIVATE)
-    {
-        *RegionContext = NULL;
-    }
-    else
-    {
-        *RegionContext = RegionHandle;
-    }
-
-    return (AE_OK);
-}
-
-
-/******************************************************************************
- *
- * FUNCTION:    AeOverrideRegionHandlers
- *
- * PARAMETERS:  None
- *
- * RETURN:      None
- *
- * DESCRIPTION: Override the default region handlers for memory, i/o, and
- *              pci_config. Also install a handler for EC. This is part of
- *              the "install early handlers" functionality.
- *
- *****************************************************************************/
-
-void
-AeOverrideRegionHandlers (
-    void)
-{
-    UINT32                  i;
-    ACPI_STATUS             Status;
-
-    /*
-     * Install handlers that will override the default handlers for some of
-     * the space IDs.
-     */
-    for (i = 0; i < ACPI_ARRAY_LENGTH (DefaultSpaceIdList); i++)
-    {
-        /* Install handler at the root object */
-
-        Status = AcpiInstallAddressSpaceHandler (ACPI_ROOT_OBJECT,
-            DefaultSpaceIdList[i], AeRegionHandler,
-            AeRegionInit, &AeMyContext);
-
-        if (ACPI_FAILURE (Status))
-        {
-            ACPI_EXCEPTION ((AE_INFO, Status,
-                "Could not install an OpRegion handler for %s space(%u)",
-                AcpiUtGetRegionName ((UINT8) DefaultSpaceIdList[i]),
-                DefaultSpaceIdList[i]));
-        }
-    }
-}
-
-
-/******************************************************************************
- *
- * FUNCTION:    AeInstallRegionHandlers
- *
- * PARAMETERS:  None
- *
- * RETURN:      None
- *
- * DESCRIPTION: Install handlers for the address spaces other than memory,
- *              i/o, and pci_config.
- *
- *****************************************************************************/
-
-void
-AeInstallRegionHandlers (
-    void)
-{
-    UINT32                  i;
-    ACPI_STATUS             Status;
-
-    /*
-     * Install handlers for some of the "device driver" address spaces
-     * such as SMBus, etc.
-     */
-    for (i = 0; i < ACPI_ARRAY_LENGTH (SpaceIdList); i++)
-    {
-        /* Install handler at the root object */
-
-        Status = AcpiInstallAddressSpaceHandler (ACPI_ROOT_OBJECT,
-            SpaceIdList[i], AeRegionHandler,
-            AeRegionInit, &AeMyContext);
-
-        if (ACPI_FAILURE (Status))
-        {
-            ACPI_EXCEPTION ((AE_INFO, Status,
-                "Could not install an OpRegion handler for %s space(%u)",
-                AcpiUtGetRegionName((UINT8) SpaceIdList[i]), SpaceIdList[i]));
-            return;
-        }
-    }
-}
-
-
-/*******************************************************************************
- *
- * FUNCTION:    AeInstallDeviceHandlers,
- *              AeInstallEcHandler,
- *              AeInstallPciHandler
- *
- * PARAMETERS:  ACPI_WALK_NAMESPACE callback
- *
- * RETURN:      Status
- *
- * DESCRIPTION: Walk entire namespace, install a handler for every EC
- *              and PCI device found.
- *
- ******************************************************************************/
-
-static ACPI_STATUS
-AeInstallEcHandler (
-    ACPI_HANDLE             ObjHandle,
-    UINT32                  Level,
-    void                    *Context,
-    void                    **ReturnValue)
-{
-    ACPI_STATUS             Status;
-
-
-    /* Install the handler for this EC device */
-
-    Status = AcpiInstallAddressSpaceHandler (ObjHandle, ACPI_ADR_SPACE_EC,
-        AeRegionHandler, AeRegionInit, &AeMyContext);
-    if (ACPI_FAILURE (Status))
-    {
-        ACPI_EXCEPTION ((AE_INFO, Status,
-            "Could not install an OpRegion handler for EC device (%p)",
-            ObjHandle));
-    }
-
-    return (Status);
-}
-
-
-static ACPI_STATUS
-AeInstallPciHandler (
-    ACPI_HANDLE             ObjHandle,
-    UINT32                  Level,
-    void                    *Context,
-    void                    **ReturnValue)
-{
-    ACPI_STATUS             Status;
-
-
-    /* Install memory and I/O handlers for the PCI device */
-
-    Status = AcpiInstallAddressSpaceHandler (ObjHandle, ACPI_ADR_SPACE_SYSTEM_IO,
-        AeRegionHandler, AeRegionInit, &AeMyContext);
-    if (ACPI_FAILURE (Status))
-    {
-        ACPI_EXCEPTION ((AE_INFO, Status,
-            "Could not install an OpRegion handler for PCI device (%p)",
-            ObjHandle));
-    }
-
-    Status = AcpiInstallAddressSpaceHandler (ObjHandle, ACPI_ADR_SPACE_SYSTEM_MEMORY,
-        AeRegionHandler, AeRegionInit, &AeMyContext);
-    if (ACPI_FAILURE (Status))
-    {
-        ACPI_EXCEPTION ((AE_INFO, Status,
-            "Could not install an OpRegion handler for PCI device (%p)",
-            ObjHandle));
-    }
-
-    return (AE_CTRL_TERMINATE);
-}
-
-
-ACPI_STATUS
-AeInstallDeviceHandlers (
-    void)
-{
-
-    /* Find all Embedded Controller devices */
-
-    AcpiGetDevices ("PNP0C09", AeInstallEcHandler, NULL, NULL);
-
-    /* Install a PCI handler */
-
-    AcpiGetDevices ("PNP0A08", AeInstallPciHandler, NULL, NULL);
-    return (AE_OK);
-}
 
 
 /******************************************************************************
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.c
index 8d2ea56eb3..4137f7b7ae 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -259,9 +259,9 @@ AeInitializeTableHeader (
     Header->Length = Length;
 
     Header->OemRevision = 0x1001;
-    strncpy (Header->OemId, "Intel", ACPI_OEM_ID_SIZE);
-    strncpy (Header->OemTableId, "AcpiExec", ACPI_OEM_TABLE_ID_SIZE);
-    strncpy (Header->AslCompilerId, "INTL", ACPI_NAME_SIZE);
+    memcpy (Header->OemId, "Intel ", ACPI_OEM_ID_SIZE);
+    memcpy (Header->OemTableId, "AcpiExec", ACPI_OEM_TABLE_ID_SIZE);
+    ACPI_MOVE_NAME (Header->AslCompilerId, "INTL");
     Header->AslCompilerRevision = ACPI_CA_VERSION;
 
     /* Set the checksum, must set to zero first */
@@ -497,12 +497,12 @@ AeBuildLocalTables (
 
         /* Miscellaneous FADT fields */
 
-        LocalFADT.Gpe0BlockLength = 0x08;
-        LocalFADT.Gpe0Block = 0x00001234;
+        LocalFADT.Gpe0BlockLength = 0x20;
+        LocalFADT.Gpe0Block = 0x00003210;
 
-        LocalFADT.Gpe1BlockLength = 0x80;
-        LocalFADT.Gpe1Block = 0x00005678;
-        LocalFADT.Gpe1Base = 100;
+        LocalFADT.Gpe1BlockLength = 0x20;
+        LocalFADT.Gpe1Block = 0x0000BA98;
+        LocalFADT.Gpe1Base = 0x80;
 
         LocalFADT.Pm1EventLength = 4;
         LocalFADT.Pm1aEventBlock = 0x00001aaa;
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.h b/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.h
index f060ee6e2b..6981f17444 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.h
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aetables.h
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2017, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2018, Intel Corp.
  * All rights reserved.
  *
  * 2. License
